#cloud-config
{% if var_os_fam == "rhel" %}
local-hostname: {{ var_vm_name }}
network:
  version: 2
  ethernets:
    {{ var_def_adapter_name }}:
      addresses:
        - {{ var_ipv4 }}
      gateway4: {{ var_gw4 }}
      nameservers:
        addresses:
          - {{ var_dns1 }}
          - {{ var_dns2 }}
{% endif %}
system_info:
  groups:
    - {{ var_admin_group }}
  default_user:
    name: {{ var_username }}
    home: /home/{{ var_username }}
    passwd: {{ var_password_hash }}
    groups: [{{ var_admin_group }}]
{% if var_ssh_key != "" %}
    lock_passwd: true
    ssh_authorized_keys:
      - {{ var_ssh_key }} 
ssh_pwauth: false
{% else %}
# no ssh key supplied, allow users logging in using password
ssh_pwauth: true
{% endif %}
chpasswd:
  expire: false

hostname: {{ var_vm_name }}

packages:
  - qemu-guest-agent

runcmd:
  - echo "Defaults:%{{ var_admin_group }} !requiretty" > /etc/sudoers.d/1010_{{ var_admin_group }}
  - echo "%{{ var_admin_group }}  ALL=(ALL) NOPASSWD:ALL" > /etc/sudoers.d/1010_{{ var_admin_group }}
  - chmod 640 /etc/sudoers.d/1010_{{ var_admin_group }}
  - chown root:root /etc/sudoers.d/1010_{{ var_admin_group }}
  - systemctl start qemu-guest-agent
  - sleep 10
  - systemctl stop qemu-guest-agent && systemctl start qemu-guest-agent
